

Name:           kde-plasma-config
Version:        2021
Release:        %mkrel 1
Summary:        PCLinuxOS Plasma configuration
License:        GPLv2
Group:          Graphical desktop/KDE5
URL:            http://www.pclinuxos.com
Source0:        %{name}.tar.gz
BuildArch:      noarch

%description
This package contains the default configuration
for the PCLinuxOS KDE Plasma desktop.

WARNING: Installing or re-installing this package will reset
your KDE Plasma desktop to the way it was when you 
first installed it from the ISO.


%files
%defattr(-,root,root)
%_var/lib/plasma

#--------------------------------------------------------------------

%prep

%build

%install
rm -rf %buildroot
mkdir -p %buildroot

tar xf %SOURCE0 -C %buildroot

%posttrans
#copy to /etc/skel
/bin/cp -rT /var/lib/plasma /etc/skel

SYSUSERS=`cat /etc/passwd | grep "/home/.*/bash" |grep "[0-9][0-9][0-9]" |cut -d: -f1`
SYSUSERS=${SYSUSERS/named/}
for idx in $SYSUSERS
do INP1= /bin/cp -rT /etc/skel/ /home/$idx/; done
 
SYSUSERS=`cat /etc/passwd | grep "/home/.*/bash" |grep "[0-9][0-9][0-9]" |cut -d: -f1`
SYSUSERS=${SYSUSERS/named/}
for idx in $SYSUSERS
do INP1= chown -Rf "$idx:$idx" /home/$idx; done

#do root too
/bin/cp -rT /etc/skel/.config/ /root/.config
/bin/cp -rT /etc/skel/.local/ /root/.local


%changelog
* Sat Aug 14 2021 tex - 2021-1pclos2021
- adjust pkg

* Thu Jul 25 2019 tex - 2019-2pclos2019
- add warning to package

* Tue Jul 23 2019 tex - 2019-1pclos2019
- first try
